---
title: Create
url: https://www.tines.com/docs/api/cases/webhooks/create/
updated: 2026-07-06T13:51:54+00:00
description: Create a case webhook for a team. A team can have a maximum of five webhooks. New webhooks are created with payload version 2.0 and notify on all event types by default.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Webhooks](https://www.tines.com/llm/docs/api/cases/webhooks.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/webhooks/create/)*

## Description

Create a case webhook for a team. A team can have a maximum of five webhooks. New webhooks are created with payload version 2.0 and notify on all event types by default.

## Request

HTTP Method: **POST**

| Parameter     | Description                                                                                                    |
| ------------- | -------------------------------------------------------------------------------------------------------------- |
| team_id       | The ID of the team to create the webhook for.                                                                  |
| url           | The destination URL the webhook posts to.                                                                      |
| name          | **Optional** A display name for the webhook.                                                                   |
| notifications | **Optional** An array of notification types that trigger the webhook. Defaults to `["ALL"]`. See values below. |

#### Notification types

| Value                         | Description                       |
| ----------------------------- | --------------------------------- |
| `ALL`                         | All event types (default).        |
| `CREATED`                     | Case created.                     |
| `ASSIGNED`                    | Assignee added.                   |
| `UNASSIGNED`                  | Assignee removed.                 |
| `COMMENTED`                   | Comment added.                    |
| `DELETED_COMMENT`             | Comment deleted.                  |
| `STATUS_UPDATED`              | Case status changed.              |
| `SUB_STATUS_UPDATED`          | Case sub-status changed.          |
| `SEVERITY_UPDATED`            | Priority changed.                 |
| `TAGS_ADDED`                  | Tag added.                        |
| `TAGS_REMOVED`                | Tag removed.                      |
| `FILE_ATTACHED`               | File attached.                    |
| `FILE_ATTACHED_AND_COMMENTED` | File attached with a comment.     |
| `FILE_DELETED`                | File deleted.                     |
| `FILE_PASTED`                 | File pasted inline.               |
| `CHECKLIST_ITEM_COMPLETED`    | Checklist item marked complete.   |
| `CHECKLIST_ITEM_INCOMPLETE`   | Checklist item marked incomplete. |
| `LINKED_CASE_ADDED`           | Case linked.                      |
| `LINKED_CASE_REMOVED`         | Case link removed.                |
| `METADATA_UPDATED`            | Metadata updated.                 |
| `SLA_WARNING`                 | SLA warning threshold reached.    |
| `SLA_EXCEEDED`                | SLA exceeded.                     |
| `TEAM_UPDATED`                | Case moved to a different team.   |
| `FIELD_UPDATED`               | Custom field updated.             |
| `DESCRIPTION_UPDATED`         | Case description updated.         |
| `NOTE_ADDED`                  | Note added.                       |
| `NOTE_UPDATED`                | Note updated.                     |
| `NOTE_DELETED`                | Note deleted.                     |
| `TITLE_UPDATED`               | Case title updated.               |
| `TASK_CREATED`                | Task created.                     |
| `TASK_DELETED`                | Task deleted.                     |
| `TASK_COMPLETED`              | Task marked complete.             |
| `TASK_INCOMPLETE`             | Task marked incomplete.           |
| `TASK_UPDATED`                | Task updated.                     |
| `TASK_ASSIGNED`               | Task assigned to a user.          |
| `TASK_UNASSIGNED`             | Task unassigned from a user.      |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/case_webhooks \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
  "team_id": 10,
  "url": "https://example.com/webhook",
  "name": "Case notifier"
}'
```

## Response

A successful request will return a JSON object representing the created webhook.

### Field description

| Parameter | Description                 |
| --------- | --------------------------- |
| webhook   | The created webhook object. |

#### Webhook object fields

| Parameter      | Description                                                              |
| -------------- | ------------------------------------------------------------------------ |
| id             | The webhook ID.                                                          |
| name           | The webhook name, or null if it has none.                                |
| url            | The destination URL the webhook posts to.                                |
| version_number | The payload version (1.0 or 2.0).                                        |
| notifications  | An array of event types that trigger the webhook (or `["ALL"]` for all). |
| team           | The team the webhook belongs to.                                         |

#### Team object fields

| Parameter | Description    |
| --------- | -------------- |
| id        | The team ID.   |
| name      | The team name. |

### Sample response

<!-- cspell:disable -->

```json
{
  "webhook": {
    "id": 1,
    "name": "Case notifier",
    "url": "https://example.com/webhook",
    "version_number": 2.0,
    "notifications": ["ALL"],
    "team": {
      "id": 10,
      "name": "Security"
    }
  }
}
```

<!-- cspell:enable -->
